summaryrefslogtreecommitdiffstats
path: root/deps/qt5/qt5.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2016-06-15 13:00:52 +0200
committer Eric Hameleers <alien@slackware.com>2016-06-15 13:00:52 +0200
commit76ad37733ae22f9a5626e07fe33d1e481b21c301 (patch)
tree26b189c708ca074ac19ff90d9c40029a2a65d10c /deps/qt5/qt5.SlackBuild
parentd61d1bec2acdcf3593e7462a6417412eb1ae6da0 (diff)
downloadktown-76ad37733ae22f9a5626e07fe33d1e481b21c301.tar.gz
ktown-76ad37733ae22f9a5626e07fe33d1e481b21c301.tar.xz
deps: updated for KDE 5_16.06
The packages for qt5 and qt5-webkit were both upgraded to 5.6.1. This is now the Plasma 5 minimum required version because of all the issues the developers had with 5.6.0. Remember, qt5 still depends on libxkbcommon.
Diffstat (limited to '')
-rwxr-xr-xdeps/qt5/qt5.SlackBuild18
1 files changed, 9 insertions, 9 deletions
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index d5c57cc..67e104d 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -48,7 +48,7 @@
# Modifications for qt 5.6.0 2016 by Eric Hameleers, Eindhoven, NL
PKGNAM=qt5
-VERSION=${VERSION:-5.6.0}
+VERSION=${VERSION:-5.6.1}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
@@ -134,10 +134,10 @@ cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose || exit 1
# Properly detect ALSA version 1.1.0 as being newer than 1.0.10:
cat $CWD/patches/qt5.alsa.patch | patch -p1 --verbose || exit 1
-# Build with explicitlib, preventing linker errors:
-cd qtbase
- cat $CWD/patches/qt5.qtbug-51621.patch | patch -p1 --verbose || exit 1
-cd -
+## Build with explicitlib, preventing linker errors:
+#cd qtbase
+# cat $CWD/patches/qt5.qtbug-51621.patch | patch -p1 --verbose || exit 1
+#cd -
# Backport fixes for QtDBus deadlocks:
cd qtbase
@@ -146,10 +146,10 @@ cd qtbase
cat $CWD/patches/qt5.qtbug-51676.patch | patch -p1 --verbose || exit 1
cd -
-# qtwebengine fails to build with system nss 3.23:
-cd qtwebengine
- cat $CWD/patches/qt5.qtbug-51890.patch | patch -p1 --verbose || exit 1
-cd -
+## qtwebengine fails to build with system nss 3.23:
+#cd qtwebengine
+# cat $CWD/patches/qt5.qtbug-51890.patch | patch -p1 --verbose || exit 1
+#cd -
if ! pkg-config --exists libpulse 2>/dev/null ; then
# Forcibly disable pulseaudio in qtwebengine: